using System;
using System.Collections.Generic;
using System.Text;

namespace newtelligence.ServiceModelExtensions
{

    /// <summary>
    /// This is the message property class for the <see cref="T:PoxEncoder"/> which
    /// allows controlling the encoding behavior.
    /// </summary>
	public class PoxEncoderMessageProperty
	{

        /// <summary>
        /// Initializes a new instance of the <see cref="T:PoxEncoderMessageProperty"/> class.
        /// </summary>
		public PoxEncoderMessageProperty()
		{
			_RawBinary = false;
		}

		/// <summary>
		/// Creates a new instance of PoxEncoderMessageProperty
		/// </summary>
		/// <param name="rawBinary"></param>
		public PoxEncoderMessageProperty(bool rawBinary)
		{
			_RawBinary = rawBinary;
		}

		private bool _RawBinary;

        /// <summary>
        /// Gets or sets a value indicating whether the encoder shall encode
        /// the body content in the <see cref="T:Message"/> as raw binary.
        /// </summary>
        /// <value><c>true</c> if raw binary encoding is set; otherwise, <c>false</c>.</value>
		public bool RawBinary
		{
			get
			{
				return _RawBinary;
			}
			set
			{
				_RawBinary = value;
			}
		}


        /// <summary>
        /// Gets the name of the property.
        /// </summary>
        /// <value>The name.</value>
		public static string Name
		{
			get
			{
				return "poxEncoder";
			}
		}
	}
}
